Is this doable ?
Why not ?

Running zimbra FOSS on Ubuntu 8.04 LTS.
Why couldn't you upgrade from Ubuntu 8.04 LTS to 10.04 LTS ?
Would it affect zimbra ?

I think of this because zimbra won't be supported forever on older releases. So Im looking for a technique to keep me in synch with newer releases of ubuntu OS.

How are others keeping up with the current OS support as zimbra moves forward ?